# 生产环境配置

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/db_diia?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT%2B8
    username: db_diia
    password: JKkkKjPjcmEZJfwa
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource

# 日志配置
logging:
  file:
    name: websoft-modules.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.gxwebsoft.com/api
  upload-path: /www/wwwroot/file.ws/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com
